Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.security
Class MuleSecurityManager

    java.lang.Object
      org.mule.security.MuleSecurityManager

All Implemented Interfaces:
  Initialisable, SecurityManager

    public class MuleSecurityManager

extends Object
implements SecurityManager

`MuleSecurityManager` is a default implementation security manager for a Mule instance.

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`MuleSecurityManager()`

Method Summary
`void` | `addEncryptionStrategy(EncryptionStrategy strategy)`
`void` | `addProvider(SecurityProvider provider)`
`Authentication` | `authenticate(Authentication authentication)`
`SecurityContext` | `createSecurityContext(Authentication authentication)`
`Collection<EncryptionStrategy>` | `getEncryptionStrategies()`
`EncryptionStrategy` | `getEncryptionStrategy(String name)`
`SecurityProvider` | `getProvider(String name)`
`Collection<SecurityProvider>` | `getProviders()`
`void` | `initialise()` Method used to perform any initialisation work.
`EncryptionStrategy` | `removeEncryptionStrategy(String name)`
`SecurityProvider` | `removeProvider(String name)`
`void` | `setEncryptionStrategies(Collection<EncryptionStrategy> strategies)`
`void` | `setProviders(Collection<SecurityProvider> providers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### MuleSecurityManager

    public MuleSecurityManager()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### authenticate

    public Authentication authenticate(Authentication authentication)
                                throws SecurityException,
                                       SecurityProviderNotFoundException

  Specified by:
    `authenticate` in interface `SecurityManager`
  Throws:
    `SecurityException`
    `SecurityProviderNotFoundException`

### addProvider

    public void addProvider(SecurityProvider provider)

  Specified by:
    `addProvider` in interface `SecurityManager`

### getProvider

    public SecurityProvider getProvider(String name)

  Specified by:
    `getProvider` in interface `SecurityManager`

### removeProvider

    public SecurityProvider removeProvider(String name)

  Specified by:
    `removeProvider` in interface `SecurityManager`

### getProviders

    public Collection<SecurityProvider> getProviders()

  Specified by:
    `getProviders` in interface `SecurityManager`

### setProviders

    public void setProviders(Collection<SecurityProvider> providers)

  Specified by:
    `setProviders` in interface `SecurityManager`

### createSecurityContext

    public SecurityContext createSecurityContext(Authentication authentication)
                                          throws UnknownAuthenticationTypeException

  Specified by:
    `createSecurityContext` in interface `SecurityManager`
  Throws:
    `UnknownAuthenticationTypeException`

### getEncryptionStrategy

    public EncryptionStrategy getEncryptionStrategy(String name)

  Specified by:
    `getEncryptionStrategy` in interface `SecurityManager`

### addEncryptionStrategy

    public void addEncryptionStrategy(EncryptionStrategy strategy)

  Specified by:
    `addEncryptionStrategy` in interface `SecurityManager`

### removeEncryptionStrategy

    public EncryptionStrategy removeEncryptionStrategy(String name)

  Specified by:
    `removeEncryptionStrategy` in interface `SecurityManager`

### getEncryptionStrategies

    public Collection<EncryptionStrategy> getEncryptionStrategies()

  Specified by:
    `getEncryptionStrategies` in interface `SecurityManager`

### setEncryptionStrategies

    public void setEncryptionStrategies(Collection<EncryptionStrategy> strategies)

  Specified by:
    `setEncryptionStrategies` in interface `SecurityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.